Option Explicit

Dim MenuName, oFolder, oFile, s, oTS, oShortCut, fname

Dim oShell: Set oShell = CreateObject("Wscript.Shell")
Dim oFSO: set oFSO = CreateObject("Scripting.FileSystemObject")

'    
Dim cur: cur = oFSO.GetParentFolderName(WScript.ScriptFullName)

'   ""
Dim SendTo: SendTo = oShell.SpecialFolders("SendTo")

Select case msgbox(" - " & vblf & " - ",vbYesNoCancel,"ALF:   """"")
case vbYes
	MenuName = inputBox("    ","ALF","ALF -   AVZ")
	if len(MenuName) = 0 then msgbox " .",,"ALF": WScript.Quit
	MenuName = NormalizeFileName(MenuName)
	Dim MenuPath: MenuPath = SendTo & "\" & MenuName & ".lnk"
	if oFSO.FileExists(MenuPath) then
		select case (msgbox (" " & MenuName & ".vbs" & "  !" & vblf & " ?",vbInformation + vbYesNo,"ALF"))
		case vbYes
			oFSO.DeleteFile(MenuPath)
		case vbNo
			msgbox " .",vbCritical,"ALF"
			WScript.Quit 1
		End Select
	end if
	set oShortCut = oShell.CreateShortCut(MenuPath)
	oShortCut.TargetPath = cur & "\AVZ Logs Fixer.vbs"
	oShortCut.WorkingDirectory = cur
	oShortCut.Save
	msgbox " ." & vblf & "    AVZ    -> " & vblf & "-> " & MenuName,,"ALF"
case vbNo
	'on error resume next
	set oFolder = oFSO.GetFolder(SendTo)
	For Each oFile in oFolder.Files
		if lcase(right(oFile.Path, 4)) = ".lnk" then
			'        (  )
			set oShortCut = nothing
			set oShortCut = oShell.CreateShortCut(oFile.Path)
			fname = lcase(oFSO.GetFileName(oShortCut.TargetPath))
			if fname = lcase("AVZ Logs Fixer.vbs") or fname = lcase("AVZ Logs Is64 Fixer.vbs") then
				s = oFile.Name
				oFile.Delete(true)
				msgbox s & "  ",,"ALF"
				WScript.Quit
			end if
		end if
	Next
	msgbox "    .   .",,"ALF"
	oShell.Run("explorer.exe " & """" & SendTo & """")
case vbCancel
	WScript.Quit 1
End Select
WScript.Quit

Function NormalizeFileName(FileName) '     
	Dim Char
	For each Char in array("\","/",":","*","?",chr(34),"<",">","|")
		FileName = Replace(FileName, Char, "")
	Next
	NormalizeFileName = FileName
End Function
'' SIG '' Begin signature block
'' SIG '' MIIKpwYJKoZIhvcNAQcCoIIKmDCCCpQCAQExCzAJBgUr
'' SIG '' DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
'' SIG '' gjcCAR4wJAIBAQQQTvApFpkntU2P5azhDxfrqwIBAAIB
'' SIG '' AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFPK5OrteMo67
'' SIG '' MBSEssHxtr05ItR8oIIGpDCCAggwggF1oAMCAQICEPTb
'' SIG '' 3W6cNZGsSlw56VqCU28wCQYFKw4DAh0FADAYMRYwFAYD
'' SIG '' VQQDEw1BbGV4IERyYWdva2FzMB4XDTE0MDYzMDIwNTk0
'' SIG '' MloXDTM5MTIzMTIzNTk1OVowGDEWMBQGA1UEAxMNQWxl
'' SIG '' eCBEcmFnb2thczCBnzANBgkqhkiG9w0BAQEFAAOBjQAw
'' SIG '' gYkCgYEA0ZF2vv2gn+17UGx/QNKdOdEKeCjk/cz0zjFv
'' SIG '' qb59WEg9CP975lku7nklgPOKw3w/O4vfSjurwYW9Yh9c
'' SIG '' Ldef6UVN0NBooVRtZ3H8LAk5s/6h3/bOGhbHQxV4EakA
'' SIG '' h84zkK4eBr3wR1lOT9RC2+zruwGlG1KJPHkZE5ex+yyU
'' SIG '' KAcCAwEAAaNbMFkwDAYDVR0TAQH/BAIwADBJBgNVHQEE
'' SIG '' QjBAgBAg3Mm7xHMuIoLCqkkoBotCoRowGDEWMBQGA1UE
'' SIG '' AxMNQWxleCBEcmFnb2thc4IQ9Nvdbpw1kaxKXDnpWoJT
'' SIG '' bzAJBgUrDgMCHQUAA4GBAF7S7++1pq0cQKeHkD2wCbbR
'' SIG '' nfrOA6F26AT6Ol0UHXbvHl92M+UzuNrkT+57LH0kG9eu
'' SIG '' UlDbrP4kytNQ7FtL8o/IS5tvORwuTsrs4AGrzfpKm2KH
'' SIG '' y0EIMGJbIW3OoHHpiVqZK2eEW5HuSqaE+xTs05vfgBho
'' SIG '' TugVef8DA2tnrOgpMIIElDCCA3ygAwIBAgIRAJ/qyBGw
'' SIG '' 8WJHpfwg2AUjrOYwDQYJKoZIhvcNAQEFBQAwgZUxCzAJ
'' SIG '' BgNVBAYTAlVTMQswCQYDVQQIEwJVVDEXMBUGA1UEBxMO
'' SIG '' U2FsdCBMYWtlIENpdHkxHjAcBgNVBAoTFVRoZSBVU0VS
'' SIG '' VFJVU1QgTmV0d29yazEhMB8GA1UECxMYaHR0cDovL3d3
'' SIG '' dy51c2VydHJ1c3QuY29tMR0wGwYDVQQDExRVVE4tVVNF
'' SIG '' UkZpcnN0LU9iamVjdDAeFw0xNTA1MDUwMDAwMDBaFw0x
'' SIG '' NTEyMzEyMzU5NTlaMH4xCzAJBgNVBAYTAkdCMRswGQYD
'' SIG '' VQQIExJHcmVhdGVyIE1hbmNoZXN0ZXIxEDAOBgNVBAcT
'' SIG '' B1NhbGZvcmQxGjAYBgNVBAoTEUNPTU9ETyBDQSBMaW1p
'' SIG '' dGVkMSQwIgYDVQQDExtDT01PRE8gVGltZSBTdGFtcGlu
'' SIG '' ZyBTaWduZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
'' SIG '' ggEKAoIBAQC8NaA2cCKBEcOyg7nTKMY2zSVrqXuyHPab
'' SIG '' UZzvNfTtCI5eOAj4dzwKQuDzcNyj18r1TAvP/yKcCn5o
'' SIG '' 1gmiKoR7pp20qcEz4u8fF0jKOs1G5sWqd73jd5r6R1NA
'' SIG '' KFlDk/GkgervgLVPpwjOum68ynYMl2RZhiS7PYKQqFWx
'' SIG '' ktOgpwWsn1MlCBBHmc2Y3mjltFB4o68BzFlDWOR2bn6s
'' SIG '' x+KeH0+wRy3IDKNJJ4B1jLsGkWUPkJv0utGByFxq7BTp
'' SIG '' JQm/Ixb0lUZAQCG7g5b9hh96yA0QjqL4GQdYf5+9NwJg
'' SIG '' 8qTpnUQ/MAXkp3CZUZroF/FVyrJhiWVGp2ryWEZ+qqAH
'' SIG '' AgMBAAGjgfQwgfEwHwYDVR0jBBgwFoAU2u1kdBScFDyr
'' SIG '' 3ZmpvVsoTYs8ydgwHQYDVR0OBBYEFC4tsApEStOHwAIH
'' SIG '' zpd9UGIg/Q+DMA4GA1UdDwEB/wQEAwIGwDAMBgNVHRMB
'' SIG '' Af8EAjAAMBYGA1UdJQEB/wQMMAoGCCsGAQUFBwMIMEIG
'' SIG '' A1UdHwQ7MDkwN6A1oDOGMWh0dHA6Ly9jcmwudXNlcnRy
'' SIG '' dXN0LmNvbS9VVE4tVVNFUkZpcnN0LU9iamVjdC5jcmww
'' SIG '' NQYIKwYBBQUHAQEEKTAnMCUGCCsGAQUFBzABhhlodHRw
'' SIG '' Oi8vb2NzcC51c2VydHJ1c3QuY29tMA0GCSqGSIb3DQEB
'' SIG '' BQUAA4IBAQANu61gERu18A3M5kg6ej4OM9wcuerWIP6j
'' SIG '' TdDMdk7oGNh539NPmkJkI4opcoo6bGamPDoXqHBFZcZz
'' SIG '' w9DOiVT7rGkPWLAZy4affrl+61GSv5vd69Fl8CV7iHze
'' SIG '' vaXItRRRvMCBMIqFOHvmef5nVZOH/k/ojQ7t83KStcKJ
'' SIG '' gG3RWeMdDeqxOO4DnQAZpashm3nDzMI+aH69yU1pTbRk
'' SIG '' UfuyKHTiU4nOnfqt4tvOq3t+BkR0/QqjybenMM1J0pJk
'' SIG '' 8SKmuChFdHnpp847M/mDUJR9aMAdScdgeHo8ZCbVvvoK
'' SIG '' beQe4QlTj6nFI6zHnWFCIfAsFnFJOxCvLG8a5jHxFP1s
'' SIG '' MYIDbzCCA2sCAQEwLDAYMRYwFAYDVQQDEw1BbGV4IERy
'' SIG '' YWdva2FzAhD0291unDWRrEpcOelaglNvMAkGBSsOAwIa
'' SIG '' BQCgUjAQBgorBgEEAYI3AgEMMQIwADAZBgkqhkiG9w0B
'' SIG '' CQMxDAYKKwYBBAGCNwIBBDAjBgkqhkiG9w0BCQQxFgQU
'' SIG '' zA+oPuppnMRuWdgvh7hJy4QiQeUwDQYJKoZIhvcNAQEB
'' SIG '' BQAEgYBWjgDbXqLEVJAfNwlMYz0VCZa+JnuCUCHy75wh
'' SIG '' 9w0l4LQqQfBiTY/Ecd66nWOVvX5c/Ady1Z60FyMm35DO
'' SIG '' sLrHJ8e3HxNB3ps0UOJudOzqxOTpJAYjpn86vUmAFiHS
'' SIG '' q4gALB06/tPlpEiTpmsGcpRjeoAlFY/pv54dCnJkaJXH
'' SIG '' JaGCAkUwggJBBgkqhkiG9w0BCQYxggIyMIICLgIBADCB
'' SIG '' qzCBlTELMAkGA1UEBhMCVVMxCzAJBgNVBAgTAlVUMRcw
'' SIG '' FQYDVQQHEw5TYWx0IExha2UgQ2l0eTEeMBwGA1UEChMV
'' SIG '' VGhlIFVTRVJUUlVTVCBOZXR3b3JrMSEwHwYDVQQLExho
'' SIG '' dHRwOi8vd3d3LnVzZXJ0cnVzdC5jb20xHTAbBgNVBAMT
'' SIG '' FFVUTi1VU0VSRmlyc3QtT2JqZWN0AhEAn+rIEbDxYkel
'' SIG '' /CDYBSOs5jAJBgUrDgMCGgUAoF0wGAYJKoZIhvcNAQkD
'' SIG '' MQsGCSqGSIb3DQEHATAcBgkqhkiG9w0BCQUxDxcNMTUw
'' SIG '' NjEwMTQ0MzEzWjAjBgkqhkiG9w0BCQQxFgQUeh12ZFRL
'' SIG '' iQab1bpEaBFag1KYTwQwDQYJKoZIhvcNAQEBBQAEggEA
'' SIG '' SNIA11x5aC6ARo7SsL3bnMUXj58DTfjmJ8efIIJw63V7
'' SIG '' WojDq/c+QWfcUQ229F79xjK0pmBFP/bs58rDinFaqyh/
'' SIG '' EInJtLqEWvscAjHRavtaTA5YAIU37pMRM2/7Jhw5+qx6
'' SIG '' gG4ABtBDJoE4RRRubm+o5fi+hLUcOVD53lRWXoxBkUjx
'' SIG '' CvorEljZ22JVW7fUF/7MsiW0Ot2PhKccCtBrrEFS1LiW
'' SIG '' 7y5p0H/ULDlj1aKklC50SPKz6TYM4iVs8mF6rlr48SHy
'' SIG '' AVgUF+lWqbR7FsSwV9CyA3BkgqvOuii7UWzFqh8ETQMl
'' SIG '' 9NmSv2nzCEMxb0Zb2nSxOi3L7z1X63OLPw==
'' SIG '' End signature block
